List company memberships
import requests
url = "https://api.paywise.de/partner/v2/companies/{company_id}/users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/companies/{company_id}/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/companies/{company_id}/users/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/companies/{company_id}/users/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/companies/{company_id}/users/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"email": "[email protected]",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invite_expires_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"revocation_reason": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "admin",
"sandbox_origin": "production_mirror",
"status": "pending_setup",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "users[0].email",
"message": "Enter a valid email address."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Company memberships
List company memberships
The memberships of one managed company: list, add, and revoke users.
GET
/
partner
/
v2
/
companies
/
{company_id}
/
users
/
List company memberships
import requests
url = "https://api.paywise.de/partner/v2/companies/{company_id}/users/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/companies/{company_id}/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/companies/{company_id}/users/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/companies/{company_id}/users/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/companies/{company_id}/users/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"created_at": "2023-11-07T05:31:56Z",
"email": "[email protected]",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invite_expires_at": "2023-11-07T05:31:56Z",
"last_name": "<string>",
"revocation_reason": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "admin",
"sandbox_origin": "production_mirror",
"status": "pending_setup",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "users[0].email",
"message": "Enter a valid email address."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Partner API Bearer key: Authorization: Bearer <key>. Keys are created only through authorized portal or staff flows.
Path Parameters
UUID of the managed company in this request.
Query Parameters
Number of results to return (maximum 100).
Required range:
1 <= x <= 100Zero-based result offset.
Required range:
x >= 0Return rows changed at or after this timezone-aware RFC 3339 timestamp. Results are ordered by updated_at and id.
Response
Total number of matching resources.
Example:
123
Resources returned for the requested page.
Show child attributes
Show child attributes
URL for the next page, or null when this is the last page.
Example:
"http://api.example.org/accounts/?offset=400&limit=100"
URL for the previous page, or null when this is the first page.
Example:
"http://api.example.org/accounts/?offset=200&limit=100"
